com.intellectualcrafters.plot.object

## Class Title

- java.lang.Object
- - com.intellectualcrafters.plot.object.Title

-     public class Title
      extends java.lang.Object

  Minecraft 1.8 Title

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Title(java.lang.String title)` Create a new 1.8 title
    `Title(java.lang.String title, java.lang.String subtitle)` Create a new 1.8 title
    `Title(java.lang.String title, java.lang.String subtitle, int fadeInTime, int stayTime, int fadeOutTime)` Create a new 1.8 title

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast()` Broadcast the title to all players
    `void` | `clearTitle(org.bukkit.entity.Player player)` Clear the title
    `void` | `resetTitle(org.bukkit.entity.Player player)` Reset the title settings
    `void` | `send(org.bukkit.entity.Player player)` Send the title to a player
    `void` | `setFadeInTime(int time)` Set title fade in time
    `void` | `setFadeOutTime(int time)` Set title fade out time
    `void` | `setStayTime(int time)` Set title stay time
    `void` | `setSubtitleColor(org.bukkit.ChatColor color)` Set the subtitle color
    `void` | `setTimingsToSeconds()` Set timings to seconds
    `void` | `setTimingsToTicks()` Set timings to ticks
    `void` | `setTitleColor(org.bukkit.ChatColor color)` Set the title color

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Title

          public Title(java.lang.String title)

      Create a new 1.8 title
      Parameters:
        `title` - Title

    - #### Title

          public Title(java.lang.String title,
               java.lang.String subtitle)

      Create a new 1.8 title
      Parameters:
        `title` - Title text
        `subtitle` - Subtitle text

    - #### Title

          public Title(java.lang.String title,
               java.lang.String subtitle,
               int fadeInTime,
               int stayTime,
               int fadeOutTime)

      Create a new 1.8 title
      Parameters:
        `title` - Title text
        `subtitle` - Subtitle text
        `fadeInTime` - Fade in time
        `stayTime` - Stay on screen time
        `fadeOutTime` - Fade out time

  - ### Method Detail

    - #### setTitleColor

          public void setTitleColor(org.bukkit.ChatColor color)

      Set the title color
      Parameters:
        `color` - Chat color

    - #### setSubtitleColor

          public void setSubtitleColor(org.bukkit.ChatColor color)

      Set the subtitle color
      Parameters:
        `color` - Chat color

    - #### setFadeInTime

          public void setFadeInTime(int time)

      Set title fade in time
      Parameters:
        `time` - Time

    - #### setFadeOutTime

          public void setFadeOutTime(int time)

      Set title fade out time
      Parameters:
        `time` - Time

    - #### setStayTime

          public void setStayTime(int time)

      Set title stay time
      Parameters:
        `time` - Time

    - #### setTimingsToTicks

          public void setTimingsToTicks()

      Set timings to ticks

    - #### setTimingsToSeconds

          public void setTimingsToSeconds()

      Set timings to seconds

    - #### send

          public void send(org.bukkit.entity.Player player)

      Send the title to a player
      Parameters:
        `player` - Player

    - #### broadcast

          public void broadcast()

      Broadcast the title to all players

    - #### clearTitle

          public void clearTitle(org.bukkit.entity.Player player)

      Clear the title
      Parameters:
        `player` - Player

    - #### resetTitle

          public void resetTitle(org.bukkit.entity.Player player)

      Reset the title settings
      Parameters:
        `player` - Player